> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engrate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Objections

> List [Objections](/api-reference/settlement-management/models/objection) filed for a clearing period.

Filters: - status: Filter by status — 'draft', 'submitted', 'accepted', 'rejected', 'withdrawn'



## OpenAPI

````yaml /openapi.json get /schedule-management/v1/mabis/clearing-periods/{uid}/objections
openapi: 3.1.0
info:
  title: Engrate API
  version: 1.0.0
servers:
  - url: https://api.engrate.io
security:
  - apiKeyAuth: []
paths:
  /schedule-management/v1/mabis/clearing-periods/{uid}/objections:
    get:
      tags:
        - mabis
      summary: List Objections
      description: >-
        List [Objections](/api-reference/settlement-management/models/objection)
        filed for a clearing period.


        Filters: - status: Filter by status — 'draft', 'submitted', 'accepted',
        'rejected', 'withdrawn'
      operationId: >-
        list_objections_schedule_management_v1_mabis_clearing_periods__uid__objections_get
      parameters:
        - description: Clearing period unique identifier.
          in: path
          name: uid
          required: true
          schema:
            description: Clearing period unique identifier.
            format: uuid
            title: Uid
            type: string
        - description: >-
            Filter by objection status: `draft`, `submitted`, `accepted`,
            `rejected`, or `withdrawn`.
          in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter by objection status: `draft`, `submitted`, `accepted`,
              `rejected`, or `withdrawn`.
            title: Status
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ObjectionResponse'
                title: >-
                  Response List Objections Schedule Management V1 Mabis Clearing
                  Periods  Uid  Objections Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ObjectionResponse:
      description: >-
        An [Objection](/api-reference/settlement-management/models/objection)
        (Einspruch) filed against settlement data within a clearing period.
      properties:
        clearing_period_uid:
          description: >-
            Parent [Clearing
            Period](/api-reference/settlement-management/models/clearing-period)
            identifier.
          title: Clearing Period Uid
          type: string
        created_ts:
          description: ISO 8601 datetime when this objection was created.
          examples:
            - '2026-02-26T10:00:00+00:00'
          title: Created Ts
          type: string
        disputed_values:
          additionalProperties: true
          description: >-
            Free-form data describing the disputed values (dates, intervals,
            amounts).
          title: Disputed Values
          type: object
        last_modified_ts:
          description: ISO 8601 datetime of the most recent status change.
          examples:
            - '2026-03-01T14:00:00+00:00'
          title: Last Modified Ts
          type: string
        objection_type:
          description: >-
            Objection category: `volume`, `price`, `metering_point`,
            `allocation`, `timing`, or `other`.
          examples:
            - volume
            - price
          title: Objection Type
          type: string
        reason:
          anyOf:
            - type: string
            - type: 'null'
          description: Human-readable reason for the objection.
          title: Reason
        resolved_ts:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            ISO 8601 datetime when the objection was resolved (accepted or
            rejected).
          title: Resolved Ts
        status:
          description: >-
            Objection status: `draft`, `submitted`, `accepted`, `rejected`, or
            `withdrawn`.
          examples:
            - submitted
            - accepted
            - rejected
          title: Status
          type: string
        submitted_ts:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 8601 datetime when the objection was submitted to the TSO.
          title: Submitted Ts
        tso_response:
          anyOf:
            - type: string
            - type: 'null'
          description: TSO response text, if the objection has been reviewed.
          title: Tso Response
        uid:
          description: Unique identifier for this objection.
          examples:
            - e7f8a9b0-c1d2-4e3f-8a4b-5c6d7e8f9a0b
          title: Uid
          type: string
      required:
        - clearing_period_uid
        - created_ts
        - disputed_values
        - last_modified_ts
        - objection_type
        - status
        - uid
      title: ObjectionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````